using UnityEngine;
using mgaia.Utils;
using mgaia.Utils.Text;

namespace mgaia.tk2d
{
    /// <summary>
    /// Behaviour utilizado para buscar automaticamente um texto localizado, sem ter que setar tudo no código
    /// </summary>
    /// <owner>Victor</owner>
    [RequireComponent(typeof(tk2dTextMesh))]
    [DisallowMultipleComponent]
    public class Tk2dLocalizedTextMesh : ILocalizedTextMesh
    {
        protected override ITextMesh GetTargetTextMesh()
        {
            tk2dTextMesh textMesh = GetComponent<tk2dTextMesh>();
			
            return new Tk2dTextMeshContainer(textMesh);
        }
    }
}